# Create Veriff session

POST https://api.letsdeel.com/rest/v2/veriff/session
Content-Type: application/json

Create Veriff session
 **Token scopes**: `screenings:write`, `worker:write`

Reference: https://developer.deel.com/api/endpoints/screenings/create-veriff-session

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /veriff/session:
    post:
      operationId: create-veriff-session
      summary: Create Veriff session
      description: |-
        Create Veriff session
         **Token scopes**: `screenings:write`, `worker:write`
      tags:
        - subpackage_screenings
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/screenings_createVeriffSession_Response_201
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/VeriffSessionPostRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataUserInput:
      type: object
      properties:
        last_name:
          type: string
          description: The desired last name of the user
        first_name:
          type: string
          description: The desired first name of the user
        middle_name:
          type:
            - string
            - 'null'
          description: The desired middle name of the user
      required:
        - last_name
        - first_name
      description: Input data for the name change KYC operation
      title: VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataUserInput
    VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataOperationType:
      type: string
      enum:
        - IDENTITY_RESUBMISSION_KYC
        - IDENTITY_VERIFICATION_KYC
        - NAME_CHANGE_KYC
        - EMAIL_CHANGE_KYC
      description: The type of KYC operation to perform
      title: >-
        VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataOperationType
    VeriffSessionPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        user_input:
          $ref: >-
            #/components/schemas/VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataUserInput
          description: Input data for the name change KYC operation
        operation_type:
          $ref: >-
            #/components/schemas/VeriffSessionPostRequestBodyContentApplicationJsonSchemaDataOperationType
          description: The type of KYC operation to perform
      required:
        - operation_type
      title: VeriffSessionPostRequestBodyContentApplicationJsonSchemaData
    VeriffSessionPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        url:
          type: string
          description: The URL of the Veriff session
      required:
        - url
      title: VeriffSessionPostResponsesContentApplicationJsonSchemaData
    screenings_createVeriffSession_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/VeriffSessionPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: screenings_createVeriffSession_Response_201
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/veriff/session"

payload = { "data": { "operation_type": "IDENTITY_RESUBMISSION_KYC" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/veriff/session';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"operation_type":"IDENTITY_RESUBMISSION_KYC"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/veriff/session"

	payload := strings.NewReader("{\n  \"data\": {\n    \"operation_type\": \"IDENTITY_RESUBMISSION_KYC\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/veriff/session")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"operation_type\": \"IDENTITY_RESUBMISSION_KYC\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/veriff/session")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"operation_type\": \"IDENTITY_RESUBMISSION_KYC\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/veriff/session', [
  'body' => '{
  "data": {
    "operation_type": "IDENTITY_RESUBMISSION_KYC"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/veriff/session");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"operation_type\": \"IDENTITY_RESUBMISSION_KYC\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["operation_type": "IDENTITY_RESUBMISSION_KYC"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/veriff/session")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```